Bug 218153 - Matplotlib 0.87.7-1.fc6 broke gtk/gdk backend
Summary: Matplotlib 0.87.7-1.fc6 broke gtk/gdk backend
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-matplotlib   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-02 06:26 UTC by Juha Sahakangas
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 0.87.7-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-05 18:42:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Juha Sahakangas 2006-12-02 06:26:13 UTC
Description of problem:
Matplotlib 0.87.7-1.fc6 broke gtk/gdk backend

How reproducible:

Steps to Reproduce:
1. from matplotlib import pylab
  
Actual results:
>>> from matplotlib import pylab
/usr/lib/python2.4/site-packages/numpy/ctypeslib.py:12: UserWarning: All
features of ctypes interface may not work with ctypes < 1.0.1
  warnings.warn("All features of ctypes interface may not work with " \
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
  File "/usr/lib/python2.4/site-packages/matplotlib/pylab.py", line 220, in ?
    new_figure_manager, draw_if_interactive, show = pylab_setup()
  File "/usr/lib/python2.4/site-packages/matplotlib/backends/__init__.py", line
23, in pylab_setup
    globals(),locals(),[backend_name])
  File "/usr/lib/python2.4/site-packages/matplotlib/backends/backend_gtkagg.py",
line 10, in ?
    from backend_gtk import gtk, FigureManagerGTK, FigureCanvasGTK,\
  File "/usr/lib/python2.4/site-packages/matplotlib/backends/backend_gtk.py",
line 21, in ?
    from matplotlib.backends.backend_gdk import RendererGDK, FigureCanvasGDK
  File "/usr/lib/python2.4/site-packages/matplotlib/backends/backend_gdk.py",
line 35, in ?
    from matplotlib.backends._ns_backend_gdk import pixbuf_get_pixels_array
ImportError: No module named _ns_backend_gdk

Comment 1 Orion Poplawski 2006-12-05 18:42:24 UTC
Fixed in 0.87.7-2.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.